GDB (xrefs)

Public Member Functions | Public Attributes | Friends | List of all members
dwarf2_frame_state_reg_info Struct Reference

`#include "dwarf2-frame.h"`

## Public Member Functions
| dwarf2_frame_state_reg_info ()=default
| ~dwarf2_frame_state_reg_info ()
| dwarf2_frame_state_reg_info (const dwarf2_frame_state_reg_info &src)
dwarf2_frame_state_reg_info & | operator= (dwarf2_frame_state_reg_info rhs)
| dwarf2_frame_state_reg_info (dwarf2_frame_state_reg_info &&rhs) noexcept
void | alloc_regs (int num_regs_requested)

## Public Attributes
struct dwarf2_frame_state_reg * | reg = NULL
int | num_regs = 0
LONGEST | cfa_offset = 0
ULONGEST | cfa_reg = 0
enum cfa_how_kind | cfa_how = CFA_UNSET
const gdb_byte * | cfa_exp = NULL
struct dwarf2_frame_state_reg_info * | prev = NULL

## Friends
void | swap (dwarf2_frame_state_reg_info &lhs, dwarf2_frame_state_reg_info &rhs)

## Detailed Description

Definition at line 95 of file dwarf2-frame.h.

## Constructor & Destructor Documentation

## ◆ dwarf2_frame_state_reg_info() [1/3]

dwarf2_frame_state_reg_info::dwarf2_frame_state_reg_info | ( |  | ) |
| default

Referenced by execute_cfa_program().

## ◆ ~dwarf2_frame_state_reg_info()

dwarf2_frame_state_reg_info::~dwarf2_frame_state_reg_info | ( |  | ) |
| inline

Definition at line 98 of file dwarf2-frame.h.

References prev, and xfree().

## ◆ dwarf2_frame_state_reg_info() [2/3]

dwarf2_frame_state_reg_info::dwarf2_frame_state_reg_info | ( | const dwarf2_frame_state_reg_info & | src | ) |
| inline

Definition at line 105 of file dwarf2-frame.h.

References num_regs, reg, size, and xmalloc().

## ◆ dwarf2_frame_state_reg_info() [3/3]

dwarf2_frame_state_reg_info::dwarf2_frame_state_reg_info | ( | dwarf2_frame_state_reg_info && | rhs | ) |
| inline noexcept

Definition at line 125 of file dwarf2-frame.h.

References prev, and reg.

## Member Function Documentation

## ◆ alloc_regs()

void dwarf2_frame_state_reg_info::alloc_regs | ( | int | num_regs_requested | ) |
| inline

Definition at line 136 of file dwarf2-frame.h.

References memset(), num_regs, size, and xrealloc().

## ◆ operator=()

dwarf2_frame_state_reg_info& dwarf2_frame_state_reg_info::operator= | ( | dwarf2_frame_state_reg_info | rhs | ) |
| inline

Definition at line 118 of file dwarf2-frame.h.

References swap.

## Friends And Related Function Documentation

## ◆ swap

void swap | ( | dwarf2_frame_state_reg_info & | lhs,
|  | dwarf2_frame_state_reg_info & | rhs
| ) |  |
| friend

Definition at line 163 of file dwarf2-frame.h.

Referenced by operator=().

## Member Data Documentation

## ◆ cfa_exp

const gdb_byte* dwarf2_frame_state_reg_info::cfa_exp = NULL

Definition at line 157 of file dwarf2-frame.h.

## ◆ cfa_how

enum cfa_how_kind dwarf2_frame_state_reg_info::cfa_how = CFA_UNSET

Definition at line 156 of file dwarf2-frame.h.

## ◆ cfa_offset

LONGEST dwarf2_frame_state_reg_info::cfa_offset = 0

Definition at line 154 of file dwarf2-frame.h.

## ◆ cfa_reg

ULONGEST dwarf2_frame_state_reg_info::cfa_reg = 0

Definition at line 155 of file dwarf2-frame.h.

## ◆ num_regs

int dwarf2_frame_state_reg_info::num_regs = 0

Definition at line 152 of file dwarf2-frame.h.

Referenced by alloc_regs(), and dwarf2_frame_state_reg_info().

## ◆ prev

struct dwarf2_frame_state_reg_info* dwarf2_frame_state_reg_info::prev = NULL

Definition at line 160 of file dwarf2-frame.h.

Referenced by dwarf2_frame_state_reg_info(), and ~dwarf2_frame_state_reg_info().

## ◆ reg

struct dwarf2_frame_state_reg* dwarf2_frame_state_reg_info::reg = NULL

Definition at line 151 of file dwarf2-frame.h.

Referenced by dwarf2_frame_state_reg_info(), and execute_cfa_program().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2-frame.h